package com.platform.service;

import java.util.List;
import java.util.Map;

import com.platform.entities.CheckoutEntity;
import com.platform.entities.PreDataInfo;

public interface ICheckoutService {
	
	/** 查询所有
	 * @return
	 * @throws Exception
	 */
	public List<CheckoutEntity> findAll() throws Exception;
	
	/** 校验 传入的数据
	 * @param list
	 * @return
	 * @throws Exception
	 */
	public List<CheckoutEntity> checkAll(List<CheckoutEntity> list)  throws Exception;
	
	/** 删除传入的数据
	 * @param list
	 * @return
	 * @throws Exception
	 */
	public List<CheckoutEntity> deleteAll(List<CheckoutEntity> list)  throws Exception;
	
	/** 更新传入的详情
	 * @param ck
	 * @return
	 * @throws Exception
	 */
	public int updateStandardInfo(PreDataInfo ck)  throws Exception;
	
	/** 查看单条记录的详情
	 * @param ck
	 * @return
	 * @throws Exception
	 */
	public Map<String, PreDataInfo> findDetail(CheckoutEntity ck)  throws Exception;
	
	/** 根据市区查看数据（信息系统-校验）
	 * @param city
	 * @return
	 * @throws Exception
	 */
	public List<CheckoutEntity> findByCity(String city)  throws Exception;
	
	/** 抽取sqlserver的 标准表 数据 到
	 * @param list
	 * @return
	 * @throws Exception
	 */
	public List<CheckoutEntity> extractSqlServer(List<CheckoutEntity> list)  throws Exception;
	
}
